<!--
    ReplaceOld

    Replaces in each action all old-references to variables defined inside the entire action scope with
    references to a temporary variable $old$v (for a variable v). It also introduces the definition
    if $old$v into the action scope.

    assumes: VariableAnnotator   why does this need the annotator?

    author: YZ, JWJ
-->

<xsl:stylesheet
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:calext="caltrop.dom.xalan.Extension"
  version="1.1">
  <xsl:output method="xml"/>


  <xsl:template match="Action">
    <xsl:variable name="this" select="."/>
    <xsl:variable name="oldRefs" select=".//Expr[@kind='Var'][@old='Yes']"/>
        <xsl:copy>
            <xsl:for-each select="@*">
                <xsl:attribute name="{name()}"><xsl:value-of select="."/></xsl:attribute>
            </xsl:for-each>

            <xsl:for-each select="$oldRefs/.">
              <xsl:variable name="myName" select="@name"/>
              <xsl:if test="not(preceding-sibling::*[@name=$myName])">
                <Decl kind="Variable" name="$old${@name}" mutable="no" assignable="no">
                  <xsl:copy-of select="Note[@kind='varRef']/Type"/>
                  <Expr kind="Var" name="{@name}" old="no"/>
                </Decl>
              </xsl:if>
            </xsl:for-each>

            <xsl:apply-templates select="node() | text()"/>
        </xsl:copy>
  </xsl:template>

  <xsl:template match="Expr[@kind='Var'][@old='Yes']">
     <Expr kind="Var" name="$old${@name}" old="no"/>
  </xsl:template>


    <xsl:template match="*">
        <xsl:copy>
            <xsl:for-each select="@*">
                <xsl:attribute name="{name()}"><xsl:value-of select="."/></xsl:attribute>
            </xsl:for-each>

            <xsl:apply-templates select="node() | text()"/>
        </xsl:copy>
    </xsl:template>


</xsl:stylesheet>


