/* An interface used by the expression parser for identifier lookup.

Copyright (c) 2001-2004 The Regents of the University of California.
All rights reserved.
Permission is hereby granted, without written agreement and without
license or royalty fees, to use, copy, modify, and distribute this
software and its documentation for any purpose, provided that the above
copyright notice and the following two paragraphs appear in all copies
of this software.

IN NO EVENT SHALL THE UNIVERSITY OF CALIFORNIA BE LIABLE TO ANY PARTY
FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES
ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF
THE UNIVERSITY OF CALIFORNIA HAS BEEN ADVISED OF THE POSSIBILITY OF
SUCH DAMAGE.

THE UNIVERSITY OF CALIFORNIA SPECIFICALLY DISCLAIMS ANY WARRANTIES,
INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE SOFTWARE
PROVIDED HEREUNDER IS ON AN "AS IS" BASIS, AND THE UNIVERSITY OF
CALIFORNIA HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
ENHANCEMENTS, OR MODIFICATIONS.

PT_COPYRIGHT_VERSION_2
COPYRIGHTENDKEY


*/

package ptolemy.copernicus.java;

import ptolemy.data.expr.ParserScope;
import ptolemy.kernel.util.IllegalActionException;
import soot.Local;

//////////////////////////////////////////////////////////////////////////
//// CodeGenerationScope
/**
   An interface used by the expression code generator for identifier lookup.

   @author Steve Neuendorffer
   @version $Id: CodeGenerationScope.java,v 1.11 2004/04/13 03:14:47 cxh Exp $
   @since Ptolemy II 2.1
   @Pt.ProposedRating Red (liuxj)
   @Pt.AcceptedRating Red (liuxj)
   @see ptolemy.data.expr.ParserScope
*/

public interface CodeGenerationScope extends ParserScope {

    /** Look up and return the type of the value with the specified
     *  name in the scope. Return null if the name is not defined in
     *  this scope.
     *  @return The token associated with the given name in the scope.
     *  @exception IllegalActionException If a value in the scope
     *  exists with the given name, but cannot be evaluated.
     */
    public Local getLocal(String name)
            throws IllegalActionException;
}

