/**
 *    '$RCSfile: GarpPresampleLayers.java,v $'
 *
 *     '$Author: berkley $'
 *       '$Date: 2004/01/08 00:48:15 $'
 *   '$Revision: 1.6 $'
 *
 *  For Details: http://kepler.ecoinformatics.org
 *
 * Copyright (c) 2003 The Regents of the University of California.
 * All rights reserved.
 *
 * Permission is hereby granted, without written agreement and without
 * license or royalty fees, to use, copy, modify, and distribute this
 * software and its documentation for any purpose, provided that the
 * above copyright notice and the following two paragraphs appear in
 * all copies of this software.
 *
 * IN NO EVENT SHALL THE UNIVERSITY OF CALIFORNIA BE LIABLE TO ANY PARTY
 * FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES
 * ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN
 * IF THE UNIVERSITY OF CALIFORNIA HAS BEEN ADVISED OF THE POSSIBILITY
 * OF SUCH DAMAGE.
 *
 * THE UNIVERSITY OF CALIFORNIA SPECIFICALLY DISCLAIMS ANY WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE SOFTWARE
 * PROVIDED HEREUNDER IS ON AN "AS IS" BASIS, AND THE UNIVERSITY
 * OF CALIFORNIA HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT,
 * UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
 */

package org.ecoinformatics.seek.garp;

import ptolemy.data.RecordToken;
import ptolemy.data.StringToken;
import ptolemy.data.IntToken;
import ptolemy.data.DoubleToken;
import ptolemy.data.LongToken;
import ptolemy.data.Token;
import ptolemy.actor.gui.EditorPaneFactory;
import ptolemy.data.type.RecordType;
import ptolemy.data.expr.Parameter;
import ptolemy.data.type.BaseType;
import ptolemy.data.type.Type;
import ptolemy.kernel.CompositeEntity;
import ptolemy.kernel.util.*;
import ptolemy.actor.TypedAtomicActor;
import ptolemy.actor.TypedIOPort;
import org.ecoinformatics.seek.workflow.gui.NewActorFrame;
import org.ecoinformatics.seek.garp.GarpJniGlue;
import javax.swing.JOptionPane;

/*<p></p>*/

public class GarpPresampleLayers extends TypedAtomicActor
{
  //input ports
  public TypedIOPort layersetFilename = new TypedIOPort(this,
    "layersetFilename", true, false);
  public TypedIOPort dataPointFileName = new TypedIOPort(this,
    "dataPointFileName", true, false);
  public TypedIOPort cellSetFileName = new TypedIOPort(this, "cellSetFileName",
    true, false);
  //output ports
  public TypedIOPort cellSetFileNameOutput = new TypedIOPort(this, "cellSetFileNameOutput",
    false, true);

  /**
   * Garp presample layer actor
   */
  public GarpPresampleLayers(CompositeEntity container, String name)
    throws NameDuplicationException, IllegalActionException
  {
    super(container, name);
    layersetFilename.setTypeEquals(BaseType.STRING);
    dataPointFileName.setTypeEquals(BaseType.STRING);
    cellSetFileName.setTypeEquals(BaseType.STRING);
    cellSetFileNameOutput.setTypeEquals(BaseType.STRING);

  }

  /**
   *
   */
  public void initialize()
    throws IllegalActionException
  {
  }

  /**
   *
   */
  public boolean prefire()
    throws IllegalActionException
  {
    return super.prefire();
  }

  /**
   *
   */
  public void fire()
    throws IllegalActionException
  {
    System.out.println("Firing GarpPresampleLayers");
    super.fire();

    StringToken layerSetFilenameToken = (StringToken)layersetFilename.get(0);
    String layersetFilenameStr = layerSetFilenameToken.stringValue();

    StringToken dataPointFileNameToken = (StringToken)dataPointFileName.get(0);
    String dataPointFileNameStr = dataPointFileNameToken.stringValue();

    StringToken cellSetFileNameToken = (StringToken)cellSetFileName.get(0);
    String cellSetFileNameStr = cellSetFileNameToken.stringValue();

    System.out.println("Calling GarpPresampleLayers JNI Code");
    new GarpJniGlue().PresampleLayers(layersetFilenameStr,
      dataPointFileNameStr, cellSetFileNameStr);

    cellSetFileNameOutput.broadcast(new StringToken(cellSetFileNameStr));

    System.out.println("done");
  }
}
